CVE-2019-20367

NameCVE-2019-20367
Descriptionnlist.c in libbsd before 0.10.0 has an out-of-bounds read during a comparison for a symbol name from the string table (strtab).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libbsd (PTS)jessie0.7.0-2vulnerable
jessie (security)0.7.0-2+deb8u1vulnerable
stretch0.8.3-1vulnerable
buster0.9.1-2vulnerable
bullseye, sid0.10.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libbsdsource(unstable)0.10.0-1

Notes

[buster] - libbsd <no-dsa> (Minor issue)
[stretch] - libbsd <no-dsa> (Minor issue)
[jessie] - libbsd <no-dsa> (Minor issue)
https://lists.freedesktop.org/archives/libbsd/2019-August/000229.html
https://gitlab.freedesktop.org/libbsd/libbsd/commit/9d917aad37778a9f4a96ba358415f077f3f36f3b (0.10.0)

Search for package or bug name: Reporting problems